/*

 Extractor main header file

 by Nuno D. Mendes
 $Id: extractor.h,v 1.6 2009/06/12 19:35:02 rnl14480 Exp $

 */

#ifndef EXTRACTOR_H
#define EXTRACTOR_H

#include "sequences.h"
#include "lalign.h"
#include "hlist.h"
#include "hit.h"
#include "types.h"

#define DEFAULT_WINDOWSIZE	200

typedef struct stat_str {
	uint fpositive;
	uint fnegative;
	uint rpositive;
	uint rnegative;
} stat_t;

void process_alignment(hit_t *, hlist_t *, float *, float *, float *, FILE *);
void flush_remainder_hlist(hlist_t *, float, FILE *);
void flush_region(hlist_t *, FILE *);
void discard_hit(hit_t *);
void discard_region(hlist_t *);

#endif
