/*

 Header files for hit.c

 by Nuno D. Mendes
 $Id: hit.h,v 1.3 2009/06/09 16:10:35 rnl14480 Exp $
 */

#ifndef HIT_L
#define HIT_L

#include "lalign.h"
#include "types.h"

typedef struct hit_str {
	align_t *align;
	uint window;
	unsigned long offset;
	uint sequence;
	strand_t strand;

} hit_t;

hit_t *creat_hit(align_t *, uint, unsigned long, uint, strand_t);
int hit_score(hit_t *);
float hit_hitscore(hit_t *);
void destroy_hit(hit_t *);

#endif
