/*

 Headers for util.c

 by Nuno D. Mendes
 $Id: util.h,v 1.1 2008/07/21 15:28:32 rnl14480 Exp $


 */

#ifndef UTILS_H
#define UTILS_H

#include <stdlib.h>
#include <stdio.h>

void *safe_malloc(size_t);
void *safe_calloc(size_t, size_t);
void *safe_realloc(void *, size_t);
void safe_free(void *);
int ipow(int, int);
FILE *safe_fopen(const char *, const char *);

#endif
